Package org.snpeff.interval

# Enum Class BioType

java.lang.Object
java.lang.Enum<BioType>
org.snpeff.interval.BioType

All Implemented Interfaces:
  `Serializable`, `Comparable<BioType>`, `Constable`

public enum BioType extends Enum<BioType>
BioTypes: Gene or transcript bioType annotation References: http://www.ensembl.org/info/genome/genebuild/biotypes.html Biotypes classifies genes and transcripts into groups including: protein coding, pseudogene , processed pseudogene, miRNA, rRNA, scRNA, snoRNA, snRNA. The biotypes can be grouped into protein coding, pseudogene, long noncoding and short noncoding. Examples of biotypes in each group are as follows: Protein coding: IGC gene, IGD gene, IG gene, IGJ gene, IGLV gene, IGM gene, IGV gene , IGZ gene, nonsense mediated decay, nontranslating CDS, non stop decay , polymorphic pseudogene, TRC gene, TRD gene, TRJ gene. Pseudogene: disrupted domain, IGC pseudogene, IGJ pseudogene, IG pseudogene, IGV pseudogene , processed pseudogene, transcribed processed pseudogene, transcribed unitary pseudogene , transcribed unprocessed pseudogene, translated processed pseudogene , TRJ pseudogene, unprocessed pseudogene Long noncoding: 3prime overlapping ncrna, ambiguous orf, antisense, antisense RNA, lincRNA , ncrna host, processed transcript, sense intronic, sense overlapping Short noncoding: miRNA, miRNA_pseudogene, miscRNA, miscRNA pseudogene, Mt rRNA, Mt tRNA, rRNA , scRNA, snlRNA, snoRNA, snRNA, tRNA, tRNA_pseudogene

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`antisense`
`IG_C_gene`
`IG_C_pseudogene`
`IG_D_gene`
`IG_J_gene`
`IG_J_pseudogene`
`IG_V_gene`
`IG_V_pseudogene`
`lincRNA`
`macro_lncRNA`
`miRNA`
`misc_RNA`
`Mt_rRNA`
`Mt_tRNA`
`non_coding`
`non_stop_decay`
`nonsense_mediated_decay`
`polymorphic_pseudogene`
`prime3_overlapping_ncrna`
`processed_pseudogene`
`processed_transcript`
`protein_coding`
`pseudogene`
`retained_intron`
`ribozyme`
`rRNA`
`scaRNA`
`scRNA`
`sense_intronic`
`sense_overlapping`
`snoRNA`
`snRNA`
`sRNA`
`TEC`
`TR_C_gene`
`TR_D_gene`
`TR_J_gene`
`TR_J_pseudogene`
`TR_V_gene`
`TR_V_pseudogene`
`transcribed_processed_pseudogene`
`transcribed_unitary_pseudogene`
`transcribed_unprocessed_pseudogene`
`translated_unprocessed_pseudogene`
`unitary_pseudogene`
`unprocessed_pseudogene`
`vaultRNA`

## Method Summary

Modifier and Type
Method
Description
`static BioType`
`coding(boolean isCoding)`
Basic bioTypes for coding / non-coding genes
`boolean`
`isProteinCoding()`
`static BioType`
`parse(String str)`
Parse a BioType
`static BioType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BioType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### prime3_overlapping_ncrna

public static final BioType prime3_overlapping_ncrna

### antisense

public static final BioType antisense

### IG_C_gene

public static final BioType IG_C_gene

### IG_C_pseudogene

public static final BioType IG_C_pseudogene

### IG_D_gene

public static final BioType IG_D_gene

### IG_J_gene

public static final BioType IG_J_gene

### IG_J_pseudogene

public static final BioType IG_J_pseudogene

### IG_V_gene

public static final BioType IG_V_gene

### IG_V_pseudogene

public static final BioType IG_V_pseudogene

### lincRNA

public static final BioType lincRNA

### macro_lncRNA

public static final BioType macro_lncRNA

### miRNA

public static final BioType miRNA

### misc_RNA

public static final BioType misc_RNA

### Mt_rRNA

public static final BioType Mt_rRNA

### Mt_tRNA

public static final BioType Mt_tRNA

### non_coding

public static final BioType non_coding

### nonsense_mediated_decay

public static final BioType nonsense_mediated_decay

### non_stop_decay

public static final BioType non_stop_decay

### polymorphic_pseudogene

public static final BioType polymorphic_pseudogene

### processed_pseudogene

public static final BioType processed_pseudogene

### processed_transcript

public static final BioType processed_transcript

### protein_coding

public static final BioType protein_coding

### pseudogene

public static final BioType pseudogene

### retained_intron

public static final BioType retained_intron

### ribozyme

public static final BioType ribozyme

### rRNA

public static final BioType rRNA

### scaRNA

public static final BioType scaRNA

### scRNA

public static final BioType scRNA

### sense_intronic

public static final BioType sense_intronic

### sense_overlapping

public static final BioType sense_overlapping

### snoRNA

public static final BioType snoRNA

### snRNA

public static final BioType snRNA

### sRNA

public static final BioType sRNA

### TEC

public static final BioType TEC

### transcribed_processed_pseudogene

public static final BioType transcribed_processed_pseudogene

### transcribed_unitary_pseudogene

public static final BioType transcribed_unitary_pseudogene

### transcribed_unprocessed_pseudogene

public static final BioType transcribed_unprocessed_pseudogene

### translated_unprocessed_pseudogene

public static final BioType translated_unprocessed_pseudogene

### TR_C_gene

public static final BioType TR_C_gene

### TR_D_gene

public static final BioType TR_D_gene

### TR_J_gene

public static final BioType TR_J_gene

### TR_J_pseudogene

public static final BioType TR_J_pseudogene

### TR_V_gene

public static final BioType TR_V_gene

### TR_V_pseudogene

public static final BioType TR_V_pseudogene

### unitary_pseudogene

public static final BioType unitary_pseudogene

### unprocessed_pseudogene

public static final BioType unprocessed_pseudogene

### vaultRNA

public static final BioType vaultRNA

## Method Details

### values

public static BioType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BioType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### coding

public static BioType coding(boolean isCoding)
Basic bioTypes for coding / non-coding genes

### parse

public static BioType parse(String str)
Parse a BioType

### isProteinCoding

public boolean isProteinCoding()